<template>
    <div><QuestTextField v-model="valueData" :placeholder="placeholder" /></div>
</template>

<script>
import QuestTextField from "@/components/QuestTextField";
export default {
    name: "SearchInput",
    components: { QuestTextField },
    props: { name: String, placeholder: { type: String, default: "" } },
    data: () => ({
        valueData: null,
    }),
    methods: {
        putValue(value) {
            this.$router.push({
                query: { ...this.$route.query, [this.name]: value },
            });
        },
    },
    watch: {
        valueData(value) {
            if (this.$route.query[this.name] !== value) this.putValue(value);
        },
        "$route.query": {
            immediate: true,
            handler(params) {
                this.valueData = params[this.name] || "";
            },
        },
    },
};
</script>

<style scoped></style>
